2019-08-25 00:24 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004248Spring engineGeneralpublic2014-01-08 03:12
ReporterLicho 
Assigned ToKloot 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version96.0 
Target VersionFixed in Version96.0.1+git 
Summary0004248: Engine wont load some maps
DescriptionWhen ZK game with http://zero-k.info/Maps/DetailName?name=Craterv01 starts, engine is stuck in initialize forever.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0012586

abma (administrator)

very likely a duplicate of 0003451

~0012587

abma (administrator)

hmm, this map loads fine for me...

~0012588

abma (administrator)

Last edited: 2014-01-05 01:37

View 2 revisions

map "The river Nix 20" was reported as suffering from a similar problem as well: (stuck for ~ 4 minutes in InitializingPathcache)

~0012589

abma (administrator)

Last edited: 2014-01-05 01:40

View 5 revisions

loading Craterv01 the second time with debug build of current develop spring takes ~ 23 seconds to fully load zk & this map for me, weird.

official x64 96.0 spring takes ~ 8 seconds for me.

~0012596

Kloot (developer)

Last edited: 2014-01-05 03:00

View 3 revisions

Apart from engine build (debug/release/etc) the time it takes to load a map depends on the mod (number and type of movedefs is crucial) and {map,mod}options used.

ZK in particular has a 'waterlevel' modoption which when enabled forces repathing across the entire map. On more complex maps like RiverNix this can easily take as long as *ALL THE PATH CALCULATIONS PERFORMED DURING LOADING*.

Other than that there is no reason why either of these maps should take more than +/- 10 seconds to get through the "Initializing PathCache" stage with a decent (>= 4) number of threads regardless of mod, and on my system they don't.

~0012603

Google_Frog (reporter)

The waterlevel modoption is irrelevant because it is never used. I am sure it would have been included in a report.

~0012610

Rafal99 (reporter)

Last edited: 2014-01-05 14:32

View 2 revisions

In case of "The river Nix 20" map, it took 3+ minutes for almost everyone, so doesn't seem like a certain system is at fault. It took long enough that whole one team was still loading when the game started, as the effect the team immediately lost: (look at "Duration: 3 seconds")
http://zero-k.info/Battles/Detail/223799

In older Spring versions creating path cache for some big maps also took very long, but it was always moving, never stuck with one task for so long. Having "Initializing PathCache" for 3+ minutes causes people to think the game froze for good.

~0012618

abma (administrator)

does this happen with BA, too?

~0012634

Google_Frog (reporter)

http://zero-k.info/Forum/Thread/6538
Hopefully this thread will give us some information. Does the test procedure look like it will work?

~0012659

Kloot (developer)

Last edited: 2014-01-08 00:48

View 6 revisions

I consistently measure 96 to be 3x slower (on RiverNix20 with BA) in the path-finalizing stage than 94 on my system. Compared to 91 which didn't have this stage it's obviously even worse, but in absolute terms it never takes more than 10 seconds so if people are really experiencing finalization times expressed in *minutes* they need to check their settings.

The main reason for this difference: 94 used OMP, while 95 and 96 use threadpool.

~0012662

Kloot (developer)

fun fact: RiverNix spawns nearly 5000 (!!!) collidable tree features via LuaGaia which creates a *massive* backlog of PFS updates, just making these non-blocking completely eliminates the issue

~0012663

Kloot (developer)

as of 97 loading times will be independent of the amount of terrain manipulation performed by Lua or the number of Spring.Create{Unit,Feature} calls made during initialization
+Notes

-Issue History
Date Modified Username Field Change
2014-01-04 22:47 Licho New Issue
2014-01-05 01:15 abma Note Added: 0012586
2014-01-05 01:23 abma Note Added: 0012587
2014-01-05 01:26 abma Note Added: 0012588
2014-01-05 01:37 abma Note Added: 0012589
2014-01-05 01:37 abma Note Edited: 0012589 View Revisions
2014-01-05 01:37 abma Note Edited: 0012588 View Revisions
2014-01-05 01:38 abma Note Edited: 0012589 View Revisions
2014-01-05 01:40 abma Note Edited: 0012589 View Revisions
2014-01-05 01:40 abma Note Edited: 0012589 View Revisions
2014-01-05 02:58 Kloot Note Added: 0012596
2014-01-05 02:59 Kloot Note Edited: 0012596 View Revisions
2014-01-05 03:00 Kloot Note Edited: 0012596 View Revisions
2014-01-05 12:05 Google_Frog Note Added: 0012603
2014-01-05 14:31 Rafal99 Note Added: 0012610
2014-01-05 14:32 Rafal99 Note Edited: 0012610 View Revisions
2014-01-05 16:18 abma Note Added: 0012618
2014-01-05 16:18 abma Assigned To => abma
2014-01-05 16:18 abma Status new => feedback
2014-01-07 08:25 Google_Frog Note Added: 0012634
2014-01-07 20:26 Kloot Note Added: 0012659
2014-01-07 20:27 Kloot Note Edited: 0012659 View Revisions
2014-01-07 22:58 Kloot Note Edited: 0012659 View Revisions
2014-01-07 23:04 Kloot Note Edited: 0012659 View Revisions
2014-01-07 23:09 Kloot Note Edited: 0012659 View Revisions
2014-01-08 00:41 Kloot Note Added: 0012662
2014-01-08 00:48 Kloot Note Edited: 0012659 View Revisions
2014-01-08 03:12 Kloot Note Added: 0012663
2014-01-08 03:12 Kloot Status feedback => resolved
2014-01-08 03:12 Kloot Fixed in Version => 96.0.1+git
2014-01-08 03:12 Kloot Resolution open => fixed
2014-01-08 03:12 Kloot Assigned To abma => Kloot
+Issue History